#
# spec file for package gap-resclasses
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           gap-resclasses
Version:        4.7.1
Release:        lp150.1.2
Summary:        GAP: Set-Theoretic Computations with Residue Classes
License:        GPL-2.0+
Group:          Productivity/Scientific/Math
Url:            https://www.gap-system.org/DevelopersPages/StefanKohl/resclasses.html

Source:         https://www.gap-system.org/pub/gap/gap4/tar.bz2/packages/resclasses-%version.tar.bz2
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  gap-rpm-devel
Requires:       gap-core >= 4.8.7
Requires:       gap-gapdoc >= 1.5.1
Requires:       gap-polycyclic >= 2.11
Requires:       gap-utils >= 0.40
Suggests:       gap-io >= 4.4.5

%description
ResClasses is a package for set-theoretic computations with residue
classes of the integers and a couple of other rings. The class of
sets which ResClasses can deal with includes the open and the closed
sets in the topo- logy on the respective ring which is induced by
taking the set of all residue classes as a basis, as far as the usual
restrictions imposed by the finite- ness of computing resources
permit this.

%prep
%setup -qn resclasses-%version

%build

%install
%gappkg_simple_install

%files -f %name.files
%defattr(-,root,root)

%changelog
* Sat Feb  3 2018 jengelh@inai.de
- Update to new upstream release 4.7.1
  * No user-visible changes (only pkg metadata)
* Mon Dec 25 2017 jengelh@inai.de
- Update to new upstream release 4.7.0
  * Several trivial methods for `SparseRep', `StandardRep' and
    `Classes' have been added (these methods are now needed by
    RCWA).
  * A utility function `GetOption' has been added.
* Sat Apr 29 2017 jengelh@inai.de
- Update to new upstream release 4.6.0
  * A utility function `LaTeXStringWord' has been added.
  * The method for multiplying the empty list with a matrix has
    been made superfluous and removed.
* Mon Jun 20 2016 jengelh@inai.de
- Update to new upstream release 4.5.0
  * Operations `CoverByResidueClasses` and `CoversByResidueClasses`
  have been introduced, and methods to compute covers of the
  integers by residue classes with prescribed moduli have been
  implemented.
  * Utility functions `DrawLineNC` and `AssignGlobalNC` have been
  added.
* Wed Jun  8 2016 jengelh@inai.de
- Update to new upstream release 4.4.2
  * The undocumented and unused function
  `ResidueClassesIntersectionType` has been removed.
  * The utility functions and -operations `DifferencesList`,
  `QuotientsList`, `FloatQuotientsList`, `RandomCombination`,
  `IsCommuting`, `BlankFreeString`, `QuotesStripped` and
  `IntOrInfinityToLaTeX` have been moved to the Utils package.
  Therefore Utils is now a needed package of ResClasses.
  * The utility functions and -operations `SaveAsBitmapPicture`,
  `LoadBitmapPicture`, `DrawGrid`, `EquivalenceClasses`,
  `GraphClasses`, `AllGraphs` and `IdGraph` have been moved from
  the RCWA package here, and `IdGraph` has been renamed to
  `IdGraphNC`.
  * The operations `PositionsSublist`, `GraphClasses`, `AllGraphs`
  and `IdGraphNC` have been documented.
* Sat Mar 12 2016 jengelh@inai.de
- Update to new upstream release 4.1.2
  * A class list ("sparse") representation for residue class unions
  has been implemented; this yields an enormous speedup for
  computations with unions of few residue classes some of which
  have big modulus.
  * An auxiliary function `LogToDatedFile' has been added.
* Fri Dec 12 2014 jengelh@inai.de
- Update to new upstream release 3.4.0
  * An auxiliary function "NextProbablyPrimeInt" has been added.
* Fri Feb  7 2014 jengelh@inai.de
- Update to new upstream release 3.3.2
  * Removed a potential performance problem in a "ViewString" method
  for polynomials over finite fields.
* Fri May 10 2013 jengelh@inai.de
- Split resclasses (version 3.3.0) off the gap RPM package
